Appcompat не работает

Я пытаюсь использовать appcompat в своем приложении. Я сделал все в соответствии с инструкциями. Но когда я добавляю android-support-v7-appcompat в качестве библиотеки в моем проекте, у меня есть такая ошибка:

Description Resource Path Location Type The container 'Android Dependencies' references non existing library 'C:\Android\workspace\android-support-v7-appcompat\bin\ android-support-v7-appcompat.jar' testActionBar Build path Build Path Problem 

Что я не делаю правильно?

  • Удалить appcompat.jar и v4-support.jar из папки libs
  • Чистый проект ур

    Как добавить android-support-v7-appcompat в качестве библиотеки

  • Импортировать android-support-v7-appcompat в eclipse как проект библиотеки и проверить копию в рабочее пространство

  • Добавить android-support-v7-appcompat качестве библиотеки в проекте ур
  • right click on ur project —–> properties ——> android ——> add

Как добавить v-7 в качестве библиотеки

  • Чистый проект ур

Я думаю, это поможет вам

Перед созданием проекта запустите eclipse как администратор, чтобы он создавал банку в том месте, на которое она ссылается.

Щелкните правой кнопкой мыши значок eclipse и выберите опцию «Запуск от имени администратора».

Просто выполните следующие шаги

  1. Appcompat_v7_nn проект щелчка правой кнопкой мыши;
  2. Нажмите на свой проект, очистите проект

Удалите библиотеку jar из каждого добавляемого каталога. Затем вам нужно добавить appcompat в качестве зависимости. Если вы используете Android Studio, вам нужно сделать следующее:

Добавь это

compile 'com.android.support:appcompat-v7:18.0.+'

В ваши зависимости градиента, а затем Build -> Rebuild Project.

С проблемами «совместимости» файлов вы можете попытаться удалить / переименовать для защиты любой проект appcompat в проекте eclipse и создать новый проект с использованием режима совместимости (разные целевые значения и «требуемые» значения SDK равны вашим потребностям), это Создаст новый проект appcompat, не забудьте связать свой существующий проект с этим проектом appcompat и проверить свою lib для дублирования совместимости. баночка.